Subject: next hop for originated route

From: "Natale, Jonathan" <[email-masked]>
Date: Wed, 11 Sep 2002 09:48:08 -0400

Current implementation uses the next hop that exists for the route in 

its originating protocol except if the route gets aggregated or (of 

course) if it is advertised to the <next-hop> peer, in which case it 

is set to self.

For the purpose of documenting current behavior, maybe this should be added 

as a "SHOULD".  I must admit however that I cannot see any detrimental
effect

if the next hop is simply set to self, so maybe it should be a "MAY".

But currently it is not mentioned at all, which leads to confusion.

Comments?